{
  "id": "d12dce4e35fcfdd56c96aa14",
  "source": "http",
  "type": "go-function",
  "title": "http.func Redirect ¶",
  "content": "# http.func Redirect ¶\n\n```\nfunc Redirect(w ResponseWriter, r *Request, url string, code int)\n```\n\nRedirect replies to the request with a redirect to url,\nwhich may be a path relative to the request path.\nAny non-ASCII characters in url will be percent-encoded,\nbut existing percent encodings will not be changed.",
  "url": "https://pkg.go.dev/http#func Redirect ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func Redirect(w ResponseWriter, r *Request, url string, code int)",
    "symbol": "func Redirect ¶"
  },
  "hash": "d548a0c7d62a3e6288eef721ea630d725f59d2050e969e314fbd28e2a5020e94",
  "timestamp": "2026-02-19T12:17:17.237519509+01:00"
}